%define name tclex
%define origname tcLex
%define version 1.2a1
%define release %mkrel 2

Summary: Lexer generator extension to TCL
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://membres.lycos.fr/fbonnet/pub/%{origname}%{version}.tar.bz2
Patch0: tclex-1.2a1-build.patch
License: Modified BSD
Group: System/Libraries
Url: http://membres.lycos.fr/fbonnet/Tcl/tcLex/index.en.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: tcl-devel
Requires: tcl
Obsoletes: tcLex
Provides: tcLex

%description
tcLex is a lexer (lexical analyzer) generator extension to Tcl. It is 
written in C.

%prep
%setup -q -n %{origname}%{version}
%patch0 -p1 -b .build

%build
pushd src
chmod ug+x configure
%configure
%make
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_libdir/tcLex1.2
install src/tcLex.so $RPM_BUILD_ROOT%_libdir/tcLex1.2/tcLex.so.1.2
install src/pkgIndex.tcl $RPM_BUILD_ROOT%_libdir/tcLex1.2/pkgIndex.tcl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCE.txt changes.txt README.txt
%_libdir/tcLex1.2/tcLex.so.1.2
%_libdir/tcLex1.2/pkgIndex.tcl





%changelog
* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.com> 1.2a1-2mdv2007.0
+ Revision: 28513
- obsolete / provide tcLex (old name)
- Import tclex

